%define api	3

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Keyring and password manager for the GNOME desktop
Name:		gnome-keyring
Version:	3.4.1
%define subrel	1
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnome-keyring-3.4.1-fix-cache-option.patch
Patch1:		gnome-keyring-3.4.1-mark-usage-on-item.patch
URL:		http://www.gnome.org/
License:	GPLv2+ and LGPLv2+
Group:		Networking/Remote access
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gck-1) >= 3.3.4
BuildRequires:	pkgconfig(dbus-1) >= 1.0
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:  intltool
BuildRequires:	pam-devel
BuildRequires:	libtasn1-tools
#gw for keyring management GUI
Suggests:	seahorse

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-pam-dir=/%{_lib}/security \
	--disable-static \
	--enable-pam \
	--disable-schemas-compile
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%find_lang %{name}

%files -f %{name}.lang
%doc README NEWS
%{_sysconfdir}/xdg/autostart/%{name}-gpg.desktop
%{_sysconfdir}/xdg/autostart/%{name}-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/%{name}-secrets.desktop
%{_sysconfdir}/xdg/autostart/%{name}-ssh.desktop
%{_sysconfdir}/pkcs11/modules/%{name}-module
%{_bindir}/%{name}
%{_bindir}/%{name}-%{api}
%attr(755,root,root) %{_bindir}/%{name}-daemon
%{_libdir}/%{name}
%{_libdir}/pkcs11
/%{_lib}/security/pam_gnome_keyring*.so
%{_datadir}/dbus-1/services/org.gnome.keyring.service
%{_datadir}/dbus-1/services/org.freedesktop.secrets.service
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml


%changelog

* Wed Sep 05 2012 luigiwalser <luigiwalser> 3.4.1-1.1.mga2
+ Revision: 288656
- add upstream patches to fix CVE-2012-3466

  + ovitters <ovitters>
    - new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226624
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224356
- new version 3.3.92

* Fri Mar 09 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 222076
- new version 3.3.91

* Sat Feb 04 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 204447
- new version 3.3.5

* Mon Jan 16 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 196973
- new version 3.3.4

* Wed Dec 21 2011 wally <wally> 3.3.3.1-1.mga2
+ Revision: 185464
- new version 3.3.3.1
- drop P0, fixed upstream

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184473
- new version 3.3.3
- add P0 to fix linking

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170460
- new version 3.3.2

* Thu Oct 27 2011 wally <wally> 3.3.1.1-1.mga2
+ Revision: 158780
- new version 3.1.1.1
- drop gcr parts (splitted out to a separate project)
- clean BRs

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156059
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147984
- new version 3.2.0

* Sun Sep 18 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 144919
- new version 3.1.92
- drop patch from upstream

* Sat Sep 17 2011 wally <wally> 3.1.91-3.mga2
+ Revision: 144409
- add patch from upstream to fix build with latest p11-kit
- get rid of .la files

* Fri Sep 09 2011 wally <wally> 3.1.91-2.mga2
+ Revision: 141758
- obsolete more old pkgs

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138777
- drop unsatisfied req
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136756
- update file list
- update libmajor
- fix build
- new version 3.1.90

  + wally <wally>
    - change conflict to obsoletes and provides to ensure smooth upgrade for
      current Cauldron users and to get rid of an old lib which also provides
      libgcr-3.so.0
    - add conflicts
    - new version 3.1.4
    - BR p11-kit
    - fix lib names
    - clean .spec a bit

* Sun Jul 17 2011 wally <wally> 3.1.1-4.mga2
+ Revision: 125537
- drop the setuid bit from gnome-keyring-daemon
- revert previous changes

* Sun Jul 17 2011 wally <wally> 3.1.1-3.mga2
+ Revision: 125484
- add patches from Fedora to improve fs capability checks
- add missing BR
- fix file capabilities of gnome-keyring-daemon

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.1-2.mga2
+ Revision: 118383
- Bump release
- Fix packages name

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.1-1.mga2
+ Revision: 118353
- Fix major
- Remove P2 and P3
- New version 3.1.1

* Wed Jun 22 2011 mikala <mikala> 3.0.3-1.mga2
+ Revision: 112408
- Update to 3.0.3

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 106766
- Fix requires in the devel package
- Update back to version 3.0.2

* Wed Jun 15 2011 dmorgan <dmorgan> 2.32.1-2.mga2
+ Revision: 106672
- Split libgp11 in its own package

* Wed Jun 15 2011 dmorgan <dmorgan> 2.32.1-1.mga2
+ Revision: 106646
- Revert to  2.32.1 to fix packaging error

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 106437
- New version 3.0.2

* Tue Jan 11 2011 blino <blino> 2.32.1-1.mga1
+ Revision: 6410
- imported package gnome-keyring

